<?php
namespace Mirasvit\SeoAudit\Block\Adminhtml\Job\Details;

/**
 * Interceptor class for @see \Mirasvit\SeoAudit\Block\Adminhtml\Job\Details
 */
class Interceptor extends \Mirasvit\SeoAudit\Block\Adminhtml\Job\Details implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Mirasvit\SeoAudit\Repository\JobRepository $jobRepository, \Magento\Framework\View\Element\Template\Context $context, array $data = [])
    {
        $this->___init();
        parent::__construct($jobRepository, $context, $data);
    }

    /**
     * {@inheritdoc}
     */
    public function getUrl($route = '', $params = [])
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'getUrl');
        return $pluginInfo ? $this->___callPlugins('getUrl', func_get_args(), $pluginInfo) : parent::getUrl($route, $params);
    }
}
